Skip to main content
DocsPlatformsAPI ReferenceAI & Integrations
Comment Automations

Update Comment Automation

PATCH/v1/comment-automations/{id}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/comment-automations/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "automation": {
    "id": "string",
    "accountId": "string",
    "platform": "string",
    "name": "string",
    "status": "active",
    "trigger": {
      "postScope": "any",
      "platformPostId": "string",
      "postPermalink": "string",
      "postId": "string",
      "keywords": [
        "string"
      ],
      "matchMode": "exact",
      "excludeKeywords": [
        "string"
      ]
    },
    "actions": {
      "publicReplies": [
        "string"
      ],
      "dmMessage": "string"
    },
    "stats": {
      "triggered": 0,
      "succeeded": 0,
      "failed": 0,
      "lastRunAt": "2019-08-24T14:15:22Z",
      "lastError": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}